package com.bonus.canteen.core.notice.print.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("notice_print_template")
@ApiModel(
   value = "NoticePrintTemplate对象",
   description = "打印模版表"
)
public class NoticePrintTemplate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("模版id")
   @TableId
   private Long templateId;
   @ApiModelProperty("模版名称")
   private String templateName;
   @ApiModelProperty("打印机类型（1:小票，2:标签）")
   private Integer deviceType;
   @ApiModelProperty("是否默认(1:是，2:否)")
   private Integer ifDefault;
   @ApiModelProperty("打印场景（001:下单退单，002:余额变动）")
   private String printScene;
   @ApiModelProperty("打印类型（001001:食堂/档口下单，001002:食堂/档口退单，001003:商超下单，001004:商超退单，002001:充值，002002:提现）")
   private String printType;
   @ApiModelProperty("打印模式（1:订单，2:明细）")
   private Integer templateModel;
   @ApiModelProperty("打印纸张大小 标签打印机使用（60,40），(40,30) 两种")
   private String templateSize;
   @ApiModelProperty("删除状态：1:删除，2:正常")
   private Integer delFlag;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getTemplateId() {
      return this.templateId;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public Integer getIfDefault() {
      return this.ifDefault;
   }

   public String getPrintScene() {
      return this.printScene;
   }

   public String getPrintType() {
      return this.printType;
   }

   public Integer getTemplateModel() {
      return this.templateModel;
   }

   public String getTemplateSize() {
      return this.templateSize;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public NoticePrintTemplate setTemplateId(final Long templateId) {
      this.templateId = templateId;
      return this;
   }

   public NoticePrintTemplate setTemplateName(final String templateName) {
      this.templateName = templateName;
      return this;
   }

   public NoticePrintTemplate setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
      return this;
   }

   public NoticePrintTemplate setIfDefault(final Integer ifDefault) {
      this.ifDefault = ifDefault;
      return this;
   }

   public NoticePrintTemplate setPrintScene(final String printScene) {
      this.printScene = printScene;
      return this;
   }

   public NoticePrintTemplate setPrintType(final String printType) {
      this.printType = printType;
      return this;
   }

   public NoticePrintTemplate setTemplateModel(final Integer templateModel) {
      this.templateModel = templateModel;
      return this;
   }

   public NoticePrintTemplate setTemplateSize(final String templateSize) {
      this.templateSize = templateSize;
      return this;
   }

   public NoticePrintTemplate setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public NoticePrintTemplate setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public NoticePrintTemplate setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public NoticePrintTemplate setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public NoticePrintTemplate setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

}
